@echo off

echo Installing allegro extension...
echo.

if "%UserProfile%"=="" (
    echo [ERROR] NOT EXIST environment variable: USERPROFILE
    echo Run "echo %USERPROFILE%" in windows command prompt to check it
    goto EXIT
)

if "%ALLEGRO_PCBENV%"=="" (
    setx ALLEGRO_PCBENV "%UserProfile%\pcbenv"
    echo ALLEGRO_PCBENV: %ALLEGRO_PCBENV%
) else (
    echo ALLEGRO_PCBENV: %ALLEGRO_PCBENV%
)

set des=%ALLEGRO_PCBENV%

if not exist "%des%" (
    mkdir "%des%"
    if not exist "%des%" (
        echo [ERROR] Failed to create directory: "%des%"
        goto EXIT
    )
)

copy /Y convertPcbToAscii.ile %des%\
copy /Y convert.form %des%\
copy /Y brdCmdFile.txt %des%\
copy /Y draCmdFile.txt %des%\

set ilinit=%des%\allegro.ilinit
echo ilinit: "%ilinit%"

if not exist "%ilinit%" (
    goto NotExistIlinit
) else (
    findstr /c:"convertPcbToAscii" "%ilinit%" && (
        goto FoundLoad
    ) || (
        goto NotFoundLoad
    )
)

:NotExistIlinit
echo loadi("convertPcbToAscii.ile" "ascii")>>"%ilinit%"
echo Created: "%ilinit%"
goto Completed

:FoundLoad
echo "convertPcbToAscii" was found.
echo Not changed: "%ilinit%"
goto Completed

:NotFoundLoad
echo.>>"%ilinit%"
echo loadi("convertPcbToAscii.ile" "ascii")>>"%ilinit%"
echo Updated: "%ilinit%"
goto Completed

:Completed
echo.
echo Install completed.
goto EXIT

:EXIT
echo.
cmd /k
goto EOF

:EOF
